Module | ActionView::Helpers::BenchmarkHelper
In: | lib/action_view/helpers/benchmark_helper.rb

### Methods

benchmark

### Public Instance methods

benchmark(message = "Benchmarking", level = :info) {|| ...}

Measures the execution time of a block in a template and reports the result to the log. Example:

     <% benchmark "Notes section" do %>
       <%= expensive_notes_operation %>
     <% end %>

Will add something like "Notes section (0.34523)" to the log.

You may give an optional logger level as the second argument (:debug, :info, :warn, :error). The default is :info.

[Validate]